Skip to main content
GET
/
products
/
{productPublicId}
/
screenings
Get all screenings for a product
curl --request GET \
  --url https://api.maalbar.dk/v1/products/{productPublicId}/screenings \
  --header 'X-Api-Key: <api-key>'
[
  {
    "publicId": "<string>",
    "amountOfLightSockets": 0,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "totalWeight": 123,
    "notes": "<string>",
    "energyStandbyConsumption": 123,
    "energyOperationalConsumption": 123,
    "lightSourceOperationalConsumption": 123,
    "lightSourceStandbyConsumption": 123,
    "transportLocation": {
      "publicId": "<string>"
    },
    "countryShare": {
      "publicId": "<string>"
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

productPublicId
string
required

Response

Successful response

publicId
string
required
Required string length: 16
Example:

"screening_xxxxxxxxxxxx"

lightSocketType
enum<string>
required
Available options:
None,
E14,
E27,
G9
amountOfLightSockets
number
default:0
required
Required range: x >= 0
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
totalWeight
number | null
notes
string | null
energyStandbyConsumption
number | null
energyOperationalConsumption
number | null
lightSourceOperationalConsumption
number | null
lightSourceStandbyConsumption
number | null
transportLocation
object
countryShare
object